SQUID HTTPS + TRANSPARENT PROXY



  • I have a pfsense router working very well, using https + transparent proxy, it is working in every computer and mobile devices flawlessly.

    Except when the computer system is a windows 10, then i got certificate errors; It is impossible to connect to some https websites, i suspect it have something to do with the TLS v1.2 or 1.1 handshake;

    Do someone here knows how i need to configure squid to manage that?

    In that computador, the error is this:

    Firefox:
    (Código do erro: ssl_error_protocol_version_alert)

    Chrome:
    ERR_CONNECTION_CLOSED

    Iexplore:
    Activate TLS 1.0, TLS 1.1 e TLS 1.2 in advanced configuration and try to ….



  • I made some tests here.

    When proxy is enabled, it uses tls1.2 encryption; And that machine is unable to manage this protocol version;
    This should not be happening, since its an windows 8 machine, here is the wireshark capture:

    The error pointed in wireshark is:

    Alert (Level: Fatal, Description: Protocol Version)



Log in to reply